Bug 1475176 - [Perf] Random Reads regressed by 42% on FUSE
[Perf] Random Reads regressed by 42% on FUSE
Status: VERIFIED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.3
All Linux
unspecified Severity urgent
: ---
: RHGS 3.3.0
Assigned To: Nithya Balachandran
Karan Sandha
: Regression
Depends On: 1475136
Blocks: 1417151
  Show dependency treegraph
 
Reported: 2017-07-26 03:21 EDT by Karan Sandha
Modified: 2017-08-16 23:31 EDT (History)
9 users (show)

See Also:
Fixed In Version: glusterfs-3.8.4-39
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
volume profile 3.8.4-35 (12.84 KB, text/plain)
2017-07-26 03:23 EDT, Karan Sandha
no flags Details

  None (edit)
Comment 2 Karan Sandha 2017-07-26 03:23 EDT
Created attachment 1304611 [details]
volume profile 3.8.4-35
Comment 15 Nithya Balachandran 2017-07-28 01:03:28 EDT
Karan,

Can you summarize the results of your tests in a comment?

Thanks,
Nithya
Comment 22 Atin Mukherjee 2017-07-31 09:03:37 EDT
upstream patch : https://review.gluster.org/#/c/17922/
Comment 23 Atin Mukherjee 2017-08-07 02:41:14 EDT
Patch mentioned in comment 22 is not valid any more. New upstream patch : https://review.gluster.org/#/c/17976/
Comment 24 Atin Mukherjee 2017-08-08 08:05:44 EDT
Downstream patch:
https://code.engineering.redhat.com/gerrit/#/c/114677


upstream release-3.12 patch:
https://review.gluster.org/17995
Comment 30 Ambarish 2017-08-13 02:46:55 EDT
*EC/FUSE*:

Baseline : 320045.92 kB/sec
3.8.4-40 : 324052.62 kB/sec


*Dist/Rep/Ganesha*:

Baseline(3.2) : 686392.97 kB/sec
3.8.4-40 : 689073.43 kB/sec

Verified on 3.8.4-40.

Note You need to log in before you can comment on or make changes to this bug.